Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 306221 - app-office/openoffice-3.2.0 build fail: sysui, helpcontent2 modules fail
Summary: app-office/openoffice-3.2.0 build fail: sysui, helpcontent2 modules fail
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-21 17:32 UTC by Markus Peloquin
Modified: 2010-05-05 13:06 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info =openoffice-3.2.0 (emerge--info,4.42 KB, text/plain)
2010-02-23 16:09 UTC, Nikos Chantziaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Peloquin 2010-02-21 17:32:51 UTC
At the end of the failed build I see:
===============
2 module(s): 
	sysui
	helpcontent2
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util
ERROR: error 65280 occurred while making /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/helpcontent2/source/auxiliary
===============

The real sysui error:
===============
Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
/usr/bin/perl checksize.pl
Checking:../unxlngx6.pro/
Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
Error: 1 damaged files encountered
dmake:  Error code 1, while making '../unxlngx6.pro/misc/checksize.done'
===============

The helpcontent2 error:
===============
Building module helpcontent2

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/helpcontent2/source/auxiliary
mkout -- version: 1.8

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/embeddedobj/source/msole

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/xmloff/source/chart
mkout -- version: 1.8
Compiling: xmloff/source/chart/ColorPropertySet.cxx
Compiling: embeddedobj/unxlngx6/misc/emboleobj_version.c
Compiling: embeddedobj/source/msole/closepreventer.cxx
echo aux_langdirs:=af ar be-BY bg bn br brx bs ca cs cy da de dgo dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gl gu he hi-IN hr hu it ja ka kid kk km ko kok ks ku lt mai mk mn mni my nb ne nl nn nr ns oc om pa-IN pl pt pt-BR ru rw sa-IN sat sd sh sk sl sr ss st sv sw-TZ ta tg th tn tr ts uk uz ve vi xh zh-CN zh-TW zu > ../../unxlngx6.pro/inc/aux_langs.mk
dmake:  Error: -- `/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/l10n/unxlngx6.pro/misc/sdf/helpcontent2/source/text/shared/localize.sdf' not found, and can't be made
===============

Reproducible: Always

Steps to Reproduce:
Build openoffice-2.3.0




Portage 2.2_rc63 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.32-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-r5-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.0.1
Timestamp of tree: Sun, 21 Feb 2010 15:15:02 +0000
app-shells/bash:     4.1_p2
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1, 3.1.1-r1
dev-python/pycrypto: 2.1.0_beta1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.20
sys-devel/gcc:       4.4.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=amdfam10 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=amdfam10 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS=" http://gentoo.chem.wisc.edu/gentoo http://gentoo.mirrors.tds.net/gentoo http://gentoo.cites.uiuc.edu/pub/gentoo http://gentoo.netnitco.net/ http://mirrors.cs.wmich.edu/gentoo http://lug.mtu.edu/gentoo ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.osuosl.org/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync21.us.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi alsa amd64 arts bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli consolekit cracklib crypt css cups curl cvs cxx dbus dga directfb dri dts dvd dvdr eds emboss encode esd evo exif expat fam fbcon ffmpeg firefox flac fontconfig fortran ftp gcj gd geoip ggi gif gnome-keyring gpm gstreamer gtk hal iconv icu imagemagick imap ipod ipv6 java jpeg jpeg2k kde kerberos ladspa lame lapack latex ldap libedit libnotify lzo mad mbox mikmod mmx mng modules motroska mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz nas ncurses networkmanager nls nntp nptl nptlonly offensive ogg openal openexr opengl openmp pam pch pcre pdf perl plotutils png policykit portaudio postgres ppds pppd pulseaudio python qt3support qt4 quicktime readline reflection samba sasl sdl session smp speex spell spl sse sse2 ssl startup-notification subversion svg sysfs syslog taglib tcpd theora threads thunar tiff truetype unicode usb vim-syntax vorbis wavpack wifi wmf wxwidgets x264 xcomposite xft xine xinetd xml xorg xosd xpm xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard joystick mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx radeon radeonhd" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Markus Peloquin 2010-02-21 17:36:45 UTC
Also, this.  I feel bad attaching the entire .3 MB file so I will link to it.
http://pages.cs.wisc.edu/~markus/misc/openoffice-2.3.0-build.log.gz
Comment 2 Markus Peloquin 2010-02-21 17:38:25 UTC
(gz=>bz2)
http://pages.cs.wisc.edu/~markus/misc/openoffice-2.3.0-build.log.bz2
whoops
Comment 3 Darren Smith 2010-02-21 19:06:06 UTC
I'm getting the same error. In my build log, I found this:
/usr/bin/perl checksize.pl
Checking:../unxlngi6.pro/
Error: ../unxlngi6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
Error: 1 damaged files encountered
dmake:  Error code 1, while making '../unxlngi6.pro/misc/checksize.done'

I found this about the problem above:
http://lists.freedesktop.org/archives/ooo-build/2009-December/000434.html

Basically it says to use --with-lang="" when building for en-US. That was set to --with-lang="en-US en-US" during my build. My LINGUAS make.conf variable is set to "en en_US".

Looking at the ebuild, it appears that if LINGUAS is set to just "en" it is stripped out properly, so I'm now trying the following workaround:
LINGUAS="en" emerge openoffice
Comment 4 Darren Smith 2010-02-21 21:45:16 UTC
This built successfully for me:
LINGUAS="en" emerge openoffice
Comment 5 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-22 16:53:00 UTC
That's a problem with having "en_US" set in LINGUAS, will take a look at it soon, if you don't want to wait just build with LINGUAS="" emerge openoffice instead
Comment 6 Nikos Chantziaras 2010-02-22 21:12:05 UTC
(In reply to comment #5)
> That's a problem with having "en_US" set in LINGUAS, will take a look at it
> soon, if you don't want to wait just build with LINGUAS="" emerge openoffice
> instead

Virtually everyone has en_US in LINGUAS.  OpenOffice should be masked in Portage until this is fixed.
Comment 7 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-22 21:40:37 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > That's a problem with having "en_US" set in LINGUAS, will take a look at it
> > soon, if you don't want to wait just build with LINGUAS="" emerge openoffice
> > instead
> 
> Virtually everyone has en_US in LINGUAS.  OpenOffice should be masked in
> Portage until this is fixed.
> 

Which data are you basing your statement on? In my experience most people who use en_US have no LINGUAS set at all.
Comment 8 Nikos Chantziaras 2010-02-22 21:53:23 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > That's a problem with having "en_US" set in LINGUAS, will take a look at it
> > > soon, if you don't want to wait just build with LINGUAS="" emerge openoffice
> > > instead
> > 
> > Virtually everyone has en_US in LINGUAS.  OpenOffice should be masked in
> > Portage until this is fixed.
> > 
> 
> Which data are you basing your statement on? In my experience most people who
> use en_US have no LINGUAS set at all.

My experience differs.  Most attached "emerge --info"s in bug reports I came across always have en_US in there.  Also, when following the Gentoo installation guide, you are told to put your languages in there.  So even English-only people end up with LINGUAS="en en_US"; that's their language and therefore that's the correct setting for LINGUAS.

Anyway, it was put in ~arch to test it and we did, now we know it's broken, so it should be masked to save people a 4 hours compilation that will result in an annoying error.
Comment 9 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-22 22:25:28 UTC
(In reply to comment #8)

> Anyway, it was put in ~arch to test it and we did, now we know it's broken, so
> it should be masked to save people a 4 hours compilation that will result in an
> annoying error.

And by doing that forcing everyone else (including those with LINGUAS="en" btw) to build OOo 3.1.1, nice logic ;-)

Anyway: I think the time is better spent in solving the actual problem (which is caused by an upstream change in handling languages) so I've put a quick workaround for LINGUAS="en_US" and LINGUAS="en en_US" in the ebuild now. 

Leaving this open until we have a proper fix.
Comment 10 Nikos Chantziaras 2010-02-23 15:54:00 UTC
I've resynced today and now I get another error.  (I've resynced today at about 14:00.  You updated the ebuild yesterday night, so I guess I do have the updated ebuild.)

Entering
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util
/usr/bin/perl checksize.pl
Checking:../unxlngx6.pro/
Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
Error: 1 damaged files encountered
dmake:  Error code 1, while making '../unxlngx6.pro/misc/checksize.done'

ERROR: Error 65280 occurred while making
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util
rmdir /var/tmp/portage/app-office/openoffice-3.2.0/temp/a3uhbUYXtO
Comment 11 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-23 16:01:44 UTC
@Nikos: Hmmm, that actually looks like exactly the same error... Could you please post the LINGUAS you are building OOo with? Is it only "en en_US" or do you build for more languages?
Comment 12 Nikos Chantziaras 2010-02-23 16:08:50 UTC
(In reply to comment #11)
> @Nikos: Hmmm, that actually looks like exactly the same error...

It's not the same error. I was getting an error before about 3 modules that could not be built.  Now I only get the one I posted.

> Could you please post the LINGUAS you are building OOo with? Is it only "en
> en_US" or do you build for more languages?

I'm attaching the output of "emerge --info =openoffice-3.2.0".
Comment 13 Nikos Chantziaras 2010-02-23 16:09:38 UTC
Created attachment 220853 [details]
emerge --info =openoffice-3.2.0
Comment 14 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-23 16:17:41 UTC
Just look at the actual error output:

Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!

it's the same. Anyway the solution for your problem is easy: Just write "en en_US" instead of "en_US en" in your LINGUAS. Yeah that's a bit crazy, but until a better solution is here (which I have locally but just need to test with more combinations to make sure) we have to special case that stuff... Sorry for the inconvenience.
Comment 15 Nikos Chantziaras 2010-02-23 16:29:21 UTC
(In reply to comment #14)
> Just look at the actual error output:
> 
> Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
> 
> it's the same. Anyway the solution for your problem is easy: Just write "en
> en_US" instead of "en_US en" in your LINGUAS.

I must admit I didn't think of that ;P

I'm fine with removing LINGUAS altogether from my make.conf.  "en_US en" is there just because I was under the impression it's actually needed (per Gentoo installation instructions.)
Comment 16 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-23 17:09:18 UTC
(In reply to comment #15)
> (In reply to comment #14)

> 
> I must admit I didn't think of that ;P
> 
> I'm fine with removing LINGUAS altogether from my make.conf.  "en_US en" is
> there just because I was under the impression it's actually needed (per Gentoo
> installation instructions.)
> 

LINGUAS might be necessary for other packages, so better to leave them there. Anyway: Your case should be fine now, pushed a fix for that in portage
Comment 17 Nikos Chantziaras 2010-02-23 19:11:26 UTC
The emerge now finished correctly, so I can confirm it's working here with LINGUAS="en en_US".
Comment 18 Vasilis Lourdas 2010-02-25 13:40:42 UTC
I'm having a similar problem:

2 module(s): 
	sysui
	toolkit
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/toolkit/uiconfig/layout
ERROR: error 65280 occurred while making /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util

In build.log, I see this:
Entering /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/toolkit/uiconfig/layout
Compiling: toolkit/source/controls/unocontrolbase.cxx
echo '#empty' | cat - > localize.sdf
rm -f *-localize.sdf
mkdir "../../unxlngx6.pro/lib"
mkdir: cannot create directory `../../unxlngx6.pro/lib': File exists
cp "message-box.xml" "../../unxlngx6.pro/lib"
: &&     LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/solver/320/unxlngx6.pro/lib /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/solver/320/unxlngx6.pro/bin/tralay -m localize.sdf -o "../../unxlngx6.pro/lib" -l en-US -l -GB -l el "message-box.xml"
Option needs an argument: -l, found: -GB
Usage: tralay [OPTION]... XML-FILE

Options:
  -h,--help                  show this help
  -l,--language=LANG         process this language
  -m,--merge=DATABASE.SDF    translation database

Examples:
  tralay -l en-US -o localize.sdf zoom.xml   # Extract
  tralay -m localize.sdf -l de -l nl -o out zoom.xml  # Merge/translate
dmake:  Error code 2, while making '../../unxlngx6.pro/misc/message-box.xml.dep'
=============
Building module ucb

and for sysui:

Entering /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/desktop/util
Compiling 10 source files to /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/xmerge/unxlngx6.pro/class/pocketword

Entering /media/ext2/t/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/sysui/util
/usr/bin/perl checksize.pl
Checking:../unxlngx6.pro/
Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
Error: 1 damaged files encountered
dmake:  Error code 1, while making '../unxlngx6.pro/misc/checksize.done'


emerge -vp openoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-office/openoffice-3.2.0  USE="bash-completion cups dbus gtk java opengl pam templates%* (-aqua) -binfilter -debug -eds -gnome -gstreamer -kde (-kdeenablefinal) -ldap -mono -nsplugin -odk" LINGUAS="el en en_GB en_US -af -ar -as_IN -be_BY -bg -bn -br -brx -bs -ca -cs -cy -da -de -dgo -dz -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi_IN -hr -hu -id -it -ja -ka -kk -km -kn_IN -ko -kok -ks -ku -lt -mai -mk -ml_IN -mn -mni -mr_IN -nb -ne -nl -nn -nr -ns -oc -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sa_IN -sat -sd -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -ta_IN -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -uz -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Comment 19 Mike Civil 2010-02-25 13:59:02 UTC
Confirming comment #18. Build breaks with LINGUAS="en_GB".

# genlop -r | tail -2
     rsync'ed at >>> Thu Feb 25 10:40:03 2010
# emerge -vp openoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-office/openoffice-3.2.0  USE="bash-completion binfilter cups dbus gstreamer gtk java mono nsplugin opengl pam (-aqua) -debug -eds -gnome -kde (-kdeenablefinal) -ldap -odk -templates%" LINGUAS="en_GB -af -ar -as_IN -be_BY -bg -bn -br -brx -bs -ca -cs -cy -da -de -dgo -dz -el -en -en_US -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi_IN -hr -hu -id -it -ja -ka -kk -km -kn_IN -ko -kok -ks -ku -lt -mai -mk -ml_IN -mn -mni -mr_IN -nb -ne -nl -nn -nr -ns -oc -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sa_IN -sat -sd -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -ta_IN -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -uz -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB
Comment 20 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-25 16:21:31 UTC
Please resync, this should be fixed now. I've put a proper fix for this in portage a few hours ago (or at least: I hope that it is a proper fix ;-) )
Comment 21 Vasilis Lourdas 2010-02-25 18:42:48 UTC
(In reply to comment #20)
> Please resync, this should be fixed now. I've put a proper fix for this in
> portage a few hours ago (or at least: I hope that it is a proper fix ;-) )

Looking at ViewCVS of the tree, I see that you made updates approximately 50 minutes ago. My previous attempt was with the previous ebuilds. Now, what I did was to checkout directly from cvs the whole openoffice/ dir and try to build again. It failed again with the same error message.
Comment 22 Mike Civil 2010-02-25 23:25:22 UTC
Sorry - still fails for me.

# genlop -r | tail -2
     rsync'ed at >>> Thu Feb 25 22:56:32 2010

(timezone is GMT)

Quick copy/paste of errors:-

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/toolkit/uiconfig/layout
Compiling: toolkit/source/awt/asynccallback.cxx
Making:    controls.lib
echo '#empty' | cat - > localize.sdf
rm -f *-localize.sdf
mkdir "../../unxlngx6.pro/lib"
mkdir: cannot create directory `../../unxlngx6.pro/lib': File exists
cp "message-box.xml" "../../unxlngx6.pro/lib"
: &&     LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/solver/320/unxlngx6.pro/lib /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/solver/320/unxlngx6.pro/bin/tralay -m localize.sdf -o "../../unxlngx6.pro/lib" -l en-US -l -GB "message-box.xml"
Compiling: toolkit/source/layout/vcl/wbutton.cxx
Option needs an argument: -l, found: -GB
Usage: tralay [OPTION]... XML-FILE

Options:
  -h,--help                  show this help
  -l,--language=LANG         process this language
  -m,--merge=DATABASE.SDF    translation database

Examples:
  tralay -l en-US -o localize.sdf zoom.xml   # Extract
  tralay -m localize.sdf -l de -l nl -o out zoom.xml  # Merge/translate
dmake:  Error code 2, while making '../../unxlngx6.pro/misc/message-box.xml.dep'

===
and
===

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/javaunohelper/com/sun/star/lib/uno/helper
Checking:../unxlngx6.pro/
Error: ../unxlngx6.pro/misc/sysui/dummy/localize.sdf 0 Bytes!
Error: 1 damaged files encountered
dmake:  Error code 1, while making '../unxlngx6.pro/misc/checksize.done'
Comment 23 Markus Peloquin 2010-02-25 23:32:35 UTC
Now it tells me that the 'basic' module failed to build:

Entering /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/
basic/source/runtime
Compiling: basic/source/runtime/basrdll.cxx
Compiling: basic/source/runtime/inputbox.cxx
Compiling: basic/source/comp/dim.cxx
Compiling: basic/source/runtime/runtime.cxx
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/sou
rce/comp/dim.cxx: In member function 'void SbiParser::Attribute()':
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/sou
rce/comp/dim.cxx:963: warning: declaration of 'aSym' shadows a member of 'this'
Compiling: basic/source/comp/exprtree.cxx
Compiling: basic/source/basmgr/basicmanagerrepository.cxx
In file included from /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx:49:
../inc/errobject.hxx:4:34: error: ooo/vba/XErrObject.hpp: No such file or directory
Compiling: basic/source/comp/exprnode.cxx
In file included from /var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx:49:
../inc/errobject.hxx:9: error: 'ooo' was not declared in this scope
../inc/errobject.hxx:9: error: template argument 1 is invalid
../inc/errobject.hxx:14: error: 'ooo' was not declared in this scope
../inc/errobject.hxx:14: error: template argument 1 is invalid
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx: In member function 'void SbiRuntime::Error(SbError)':
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx:853: error: base operand of '->' is not a pointer
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx:854: error: base operand of '->' is not a pointer
/var/tmp/portage/app-office/openoffice-3.2.0/work/ooo/build/OOO320_m12/basic/source/runtime/runtime.cxx:858: error: base operand of '->' is not a pointer
dmake:  Error code 1, while making '../../unxlngx6.pro/slo/runtime.obj'
Comment 24 HTS 2010-02-26 02:24:02 UTC
Same problem here with:
LINGUAS="en_GB en"
Comment 25 Andreas Proschofsky (RETIRED) gentoo-dev 2010-02-26 12:01:33 UTC
(In reply to comment #24)
> Same problem here with:
> LINGUAS="en_GB en"
> 

No matter how hard you try, there is always one case you forget about ;-) By fixing all the other LINGUAS I unintentionally broke en_GB and en_ZA... Anyway: Fixed now, so finally closing this bug
Comment 26 Jonathan Adamczewski 2010-05-05 13:06:38 UTC
I have the error mentioned in comment 23 - that is

../inc/errobject.hxx:4:34: error: ooo/vba/XErrObject.hpp: No such file or directory

I see this error when compiling with LINGUAS="en en_GB en_AU".

The error does not occur when compiling with LINGUAS="en".